Get Person
curl --request GET \
--url https://crm.universal.rollout.com/api/people-relationships/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Rollout-Credential-Id: <api-key>'import requests
url = "https://crm.universal.rollout.com/api/people-relationships/{id}"
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Rollout-Credential-Id': '<api-key>'}
};
fetch('https://crm.universal.rollout.com/api/people-relationships/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"personId": "<string>",
"type": "<string>",
"isPriority": true,
"firstName": "<string>",
"lastName": "<string>",
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
}
],
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}People Relationships
Get Person
GET /people-relationships/
GET
/
people-relationships
/
{id}
Get Person
GET /people-relationships/{id}
Base URL: https://crm.universal.rollout.com/api
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | Yes |
Responses
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
404 | Not Found |
409 | Conflict |
OpenAPI Source
/openapi/crm.json GET /people-relationships/{id}Authorizations
Authorization JWT
The Rollout Credential ID to use for queries/mutations
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I